Package org.apache.ignite.cdc

## Class CdcConfiguration

- java.lang.Object
- - org.apache.ignite.cdc.CdcConfiguration

-     public class CdcConfiguration
      extends Object

  This class defines `CdcMain` runtime configuration. Configuration is passed to `CdcMain` constructor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CdcConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getCheckFrequency()` |
    `CdcConsumer` | `getConsumer()` |
    `long` | `getLockTimeout()` |
    `MetricExporterSpi[]` | `getMetricExporterSpi()` | Gets fully configured metric SPI implementations.
    `boolean` | `isKeepBinary()` |
    `void` | `setCheckFrequency​(long checkFreq)` |
    `void` | `setConsumer​(CdcConsumer consumer)` |
    `void` | `setKeepBinary​(boolean keepBinary)` |
    `void` | `setLockTimeout​(long lockTimeout)` |
    `void` | `setMetricExporterSpi​(MetricExporterSpi... metricExporterSpi)` | Sets fully configured instances of `MetricExporterSpi`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CdcConfiguration

          public CdcConfiguration()

  - ### Method Detail

    - #### getConsumer

          public CdcConsumer getConsumer()

      Returns:
        CDC consumer.

    - #### setConsumer

          public void setConsumer​(CdcConsumer consumer)

      Parameters:
        `consumer` - CDC consumer.

    - #### setMetricExporterSpi

          public void setMetricExporterSpi​(MetricExporterSpi... metricExporterSpi)

      Sets fully configured instances of `MetricExporterSpi`. `JmxMetricExporterSpi` is used by default.
      Parameters:
        `metricExporterSpi` - Fully configured instances of `MetricExporterSpi`.
      See Also:
        `getMetricExporterSpi()`, `JmxMetricExporterSpi`

    - #### getMetricExporterSpi

          public MetricExporterSpi[] getMetricExporterSpi()

      Gets fully configured metric SPI implementations. `JmxMetricExporterSpi` is used by default.
      Returns:
        Metric exporter SPI implementations.
      See Also:
        `JmxMetricExporterSpi`

    - #### isKeepBinary

          public boolean isKeepBinary()

      Returns:
        keep binary value.

    - #### setKeepBinary

          public void setKeepBinary​(boolean keepBinary)

      Parameters:
        `keepBinary` - keep binary value.

    - #### getLockTimeout

          public long getLockTimeout()

      Returns:
        Amount of time to wait for lock acquisition.

    - #### setLockTimeout

          public void setLockTimeout​(long lockTimeout)

      Parameters:
        `lockTimeout` - Amount of time to wait for lock acquisition.

    - #### getCheckFrequency

          public long getCheckFrequency()

      Returns:
        Amount of time application sleeps between subsequent checks when no new files available.

    - #### setCheckFrequency

          public void setCheckFrequency​(long checkFreq)

      Parameters:
        `checkFreq` - Amount of time application sleeps between subsequent checks when no new files available.